Private Link Services - Check Private Link Service Visibility
Checks whether the subscription is visible to private link service.
POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/checkPrivateLinkServiceVisibility?api-version=2021-08-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
|
The location of the domain name. |
|
subscription
|
path | True |
|
The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
|
Client API version. |
Request Body
| Name | Type | Description |
|---|---|---|
| privateLinkServiceAlias |
|
The alias of the private link service. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request successful. Returns whether the subscription is visible to private link service. |
|
| 202 Accepted |
Accepted and the operation will complete asynchronously. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Check private link service visibility
Sample Request
POST https://management.azure.com/subscriptions/subid/providers/Microsoft.Network/locations/westus/checkPrivateLinkServiceVisibility?api-version=2021-08-01
{
"privateLinkServiceAlias": "mypls.00000000-0000-0000-0000-000000000000.azure.privatelinkservice"
}
Sample Response
{
"visible": true
}
Definitions
|
Check |
Request body of the CheckPrivateLinkServiceVisibility API service call. |
|
Cloud |
An error response from the service. |
|
Cloud |
An error response from the service. |
|
Private |
Response for the CheckPrivateLinkServiceVisibility API service call. |
CheckPrivateLinkServiceVisibilityRequest
Request body of the CheckPrivateLinkServiceVisibility API service call.
| Name | Type | Description |
|---|---|---|
| privateLinkServiceAlias |
|
The alias of the private link service. |
CloudError
An error response from the service.
| Name | Type | Description |
|---|---|---|
| error |
Cloud error body. |
CloudErrorBody
An error response from the service.
| Name | Type | Description |
|---|---|---|
| code |
|
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| details |
A list of additional details about the error. |
|
| message |
|
A message describing the error, intended to be suitable for display in a user interface. |
| target |
|
The target of the particular error. For example, the name of the property in error. |
PrivateLinkServiceVisibility
Response for the CheckPrivateLinkServiceVisibility API service call.
| Name | Type | Description |
|---|---|---|
| visible |
|
Private Link Service Visibility (True/False). |